{% extends '../base.html'%} {% block main %} {% load static %}


<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}

  <style>
    .delete-button {
      display: flex;
      justify-content: center;
    }
    .border-blacker {
      border-color: black !important;
    }

    #slider-1-content {
      display: none;
    }
  </style>
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Modifications de site</p>
    <div class="add-article">
      <form method="POST" enctype="multipart/form-data">
        {% csrf_token %}
        <h3 class="text-center">Modification des attributs de la seconde slider</h3>
        <p class="text-center">Dimensions de l'image<br>Hauteur : 1000px<br>Largeur : 400px</p>

        <label for="current-images">
          Images actuelles&nbsp;:<br />
          <span style="font-size: 10px">
            **Pour supprimer une image, cliquez sur l'image, puis sur le bouton en
            forme de X.
          </span>
        </label>
        <section id="sliders">
          {% for slider in sliders %}
          <section id="slider-{{ forloop.counter }}" class="mb-2 px-2 py-3 border rounded">
            <div class="d-flex justify-content-center align-content-center gap-2 my-2">
              <label for="slider-{{ forloop.counter }}-checker" class="cursor-pointer">Ajouter un slider pour la section {{ forloop.counter }} ?</label>
              <input type="checkbox" onchange="handleSlidersDisplay(this)" name="slider-{{ forloop.counter }}" data-brother="#slider-{{ forloop.counter }}-content" id="slider-{{ forloop.counter }}-checker">
            </div>
            <div id="slider-{{ forloop.counter }}-content" class="d-flex d-none flex-column justify-content-center align-content-center px-1 py-2 border border-blacker rounded ">
              <h5 class="text-center">Slider n 1</h5>
              <div class="inputs">
                <div class="mb-3">
                  <label for="slider-{{ forloop.counter }}-url">Le line</label>
                  <input type="url" {% if slider.url %} value="{{ slider.url }}" {% endif %} name="slider-{{ forloop.counter }}-url" id="slider-{{ forloop.counter }}-url" class="form-control">
                </div>
                <label>L'image</label>
                <div class="d-flex justify-content-center align-content-center">
                  <label for="slider-1-img" class="fa-solid fa-plus fa-cloud-arrow-up p-2 rounded cursor-pointer" style="font-size: 2rem; border: 2px dotted black"></label>
                  <input type="file" name="slider-{{ forloop.counter }}-img" class="text form-control sliders-img d-none" id="slider-{{ forloop.counter }}-img" accept="image/*">
                </div>
              </div>
              <div class="image-container image-containers" id="image-container-1">
                {% if slider.image.url %}
                <div class="image-wrapper">
                  <img src="../../media/{{ slider.image.url }}" alt="image from your device">
                  <a href="{% url 'delete_image' slider.image.id %}" class="normal-link delete-button">x</a>
                </div>
                {% endif %}
              </div>
            </div>
          </section>
          {% endfor %}
        </section>
        <br>


        <div class="w-100 d-flex justify-content-center align-content-center mt-4">
          <button class="normal-btn validate bg-success text-white px-3 py-2 rounded shadow d-flex justify-content-center align-items-center" type="submit"><i class="fa-solid fa-check fs-5"></i></button>
        </div>
      </form>
    </div>
  </div>
</div>
<script src="{% static 'assets/js/script.js' %}"></script>
<script>
function handleSlidersDisplay(input) {
  const sliderContentId = input.dataset.brother;
  const inputContainer = document.querySelector(sliderContentId)
  inputContainer.classList.toggle('d-none')
}
addImagesToContainersForSliders()

</script>
{% endblock main%}
